### Method

# Clutter Interval compute

#### Declaration [src]

    const GValue*
    clutter_interval_compute (
      ClutterInterval* interval,
      gdouble factor
    )

#### Description [src]

Computes the value between the `interval` boundaries given the progress `factor`

Unlike `clutter_interval_compute_value()`, this function will return a const pointer to the computed value

You should use this function if you immediately pass the computed value to another function that makes a copy of it, like g_object_set_property().

#### Parameters

`factor`

  Type: `gdouble`

  The progress factor, between 0 and 1.

#### Return value

Type: `GValue`

A pointer to the computed value, or `NULL` if the computation was not successful.

The returned data is owned by the instance.